Cannot update from 1.6.1 to 1.7.0

What is the problem?

The software update plugin gives an error when trying to update from 1.6.1 to 1.7.0. This happens on both of my two octoprints which is not surprising since I have installed and updated them both the same.

What did you already try to solve it?

Went to the log to try to understand the problem.

Have you tried running in safe mode?

Yes

Did running in safe mode solve the problem?

no

Systeminfo Bundle

octoprint-systeminfo-20211012113234.zip (92.8 KB)

Additional information about your setup

OctoPrint version: 1.6.1
OctoPi version: 0.16.0, Raspberry Pi 3 Model B Rev 1.2
printer: prusa i3 mks3+ & original ender 3
firmware: Prusa-Firmware 3.10.0 based on Marlin
browser: Chrome
operating system: windows 11, win64

I have the same exact issue. I found the PrintTimeGenius fix and executed that, but it still did not solve the update issue.

Do you now have a different issue? Please provide the log files to help us find the problem. If your issue is not the logging package and it being installed, because you have uninstalled It, and the error message contains nothing to do with logging please create a new thread to help keep things separate and tidy.

Ah, sorry, that did fix it after all. I didn't realize/failed to read that I had to also follow up with an un-install of the fix. After that, the update installed.

What is the fix? To uninstall/reinstall the plugin? I am having the same issue.

Edit: Nevermind just saw the link above. :slight_smile:

I fixed the logging an unistalled PrintTimeGenius and I still cannot update. Here is my new bundle.
octoprint-systeminfo-20211012161348.zip (104.6 KB)

I'm having the same "assert have_directory_for_build" failure after fixing the logging issue.

EDIT - I'm an idiot. The search function turned up a fix.Trying that now.
EDIT the second - Yeah, that worked and my upgrade has gone through

1 Like

Thanks. That did the trick.

Thanks. Solved my update problem also.

Thank you. Got to 1.7.0 with your help here.

1 Like

Thanks, this was an easy fix.